## viewpdf.app 0.2dfsg1

=== debian/changelog ===
viewpdf.app (1:0.2dfsg1-9) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop dependency on essential package dpkg-dev (>= 1.16.1~).
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Yavor Doganov ]
  * Run wrap-and-sort -ast.
  * debian/rules: Enable hardening.
    (optim): Remove definition; it's done in config.mk.
    (d_app): Likewise; unnecessary as of this upload.
    (override_dh_auto_build): Use dh_auto_build and $(verbose).
    (override_dh_link): Rename as...
    (execute_before_dh_link): ...and replace recipe with dh_gnustep --app.
  * debian/control (Build-Depends): Require gnustep-make (>= 2.9.2-2) for
    dh_gnustep's --app option.  Add dpkg-build-api (= 1).
    (Depends): Remove ${gnustep:Depends}; obsolete.
    (Standards-Version): Claim compliance with 4.7.2; no changes needed.
  * debian/preinst: Delete; obsolete since jessie.
  * debian/menu: Get rid.
  * debian/ViewPDF.desktop: Add Keywords key and %F to the Exec key.
  * debian/install: New file; install the .desktop file.
  * debian/watch: Add dummy entry; there's no upstream.
  * debian/patches/rename.patch: Add DEP-3 headers.
  * debian/patches/remove-NS_HANDLER: Delete; that patch is wrong.
  * debian/patches/spelling-errors.patch: New.
  * debian/copyright: Rewrite in copyright-format 1.0.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 13 Apr 2025 12:59:44 +0300

viewpdf.app (1:0.2dfsg1-8) unstable; urgency=medium

  * Bump standards version to 4.7.0.
  * Bump debhelper version to 13, drop d/compat.

 -- Alex Myczko <tar@debian.org>  Tue, 09 Jul 2024 22:38:25 +0000

viewpdf.app (1:0.2dfsg1-7) unstable; urgency=medium

  * Update Vcs fields.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 17 Dec 2019 07:35:14 +0100

viewpdf.app (1:0.2dfsg1-6) unstable; urgency=medium

  * Update my name. (Closes: #679060)
  * Bump debhelper version to 11.
  * Bump standards version to 4.1.3.
  * debian/rules: modernized.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 16 Jan 2018 14:40:49 +0100

viewpdf.app (1:0.2dfsg1-5) unstable; urgency=medium

  * debian/patches/fix-NSView-crash.patch: New; fix a crash on i386 when
    opening a PDF file (Closes: #756588).
  * debian/patches/series: Update.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 31 Oct 2014 18:33:36 +0200

viewpdf.app (1:0.2dfsg1-4) unstable; urgency=low

  * debian/control (Maintainer, Uploaders): Adopt package, make the
    GNUstep team maintainer (Closes: #453437).  Move Gürkan to Uploaders
    and change his email address (Closes: #675222).  Add myself.
    (Build-Depends): Require debhelper >= 8, add dpkg-dev (>= 1.16.1~) for
    hardening support.  Remove version requirements for libgnustep-gui-dev
    and libpopplerkit-dev.  Drop gnustep-make.
    (Section): Change to `gnustep'.
    (Depends): Add ${misc:Depends}.
    (Vcs-Git, Vcs-Browser): New fields.
    (Homepage): New field, move from Description (Closes: #615353).
    (Replaces, Conflicts): Remove, obsolete.
    (Standards-Version): Claim compliance with 3.9.3 as of this release.
  * debian/patches/rename.patch: Move local modifications here.
  * debian/patches/series:
  * debian/source/format:
  * debian/preinst: New file.
  * debian/compat: Set to 8.
  * debian/dirs:
  * debian/lintian-override: Delete.
  * debian/ViewPDF.desktop: Remove Version and full stop from Comment
    (Closes: #619258).
  * debian/rules: Include /usr/share/dpkg/buildflags.mk.  Avoid gs_make as
    it tends to swallow $(MAKE) arguments.  Misc cleanups.
    (GNUSTEP_MAKEFILES): Export for the reason stated above.
    (d_app, optim, LDFLAGS): Define.
    (build-stamp): Pass all relevant flags to enable hardening.
    (install): Use dh_prep isntead of dh_clean -k.
    (binary-indep): Don't install the lintian override, move
    arch-independent Resources to /usr/share instead.
  * debian/watch: New (dummy) file.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 31 May 2012 23:31:20 +0300

viewpdf.app (1:0.2dfsg1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * ViewPDFInfo.plist (NSTypes): Change NSRole to "Viewer", making the app
    usable with gnustep-gui/0.18 (Closes: #595763).

 -- Yavor Doganov <yavor@gnu.org>  Tue, 07 Sep 2010 18:50:19 +0300

viewpdf.app (1:0.2dfsg1-3) unstable; urgency=low

  * GNUstep transition.
    + Updated debian/rules.
    + Updated debian/dirs.
    + Updated FSF address in debian/copyright.
    + Updated debian/control to reflect actual features. (Closes: #398325)
  * Menu transition: Moved from Apps/Viewers to Applications/Viewers.
  * Added a desktop file.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 08 Oct 2007 12:58:48 +0200

viewpdf.app (1:0.2dfsg1-2) unstable; urgency=low

  * Rebuild against latest libgnustep-gui-dev.
  * Added co-maintainers.
  * Updated build-depends.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sat, 16 Sep 2006 18:13:34 +0200

viewpdf.app (1:0.2dfsg1-1) unstable; urgency=low

  * New upstream version.
  * Updated debian/control.
  * Rebuild against latest libgnustep-gui. (Closes: #350037)
  * Update manual page.
  * Bump standards version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu,  9 Mar 2006 12:48:42 +0100

viewpdf.app (0.9-1) unstable; urgency=low

  * New upstream version.
  * Updated debian/control build-depends for GNUstep 0.9.4.
  * Renamed source package to viewpdf.app.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Fri, 12 Nov 2004 22:04:50 +0100

viewpdf (0.8.5-5) unstable; urgency=low

  * Renamed binary package to viewpdf.app. (Closes: #241613)
  * Updated build-depends

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 26 Jul 2004 00:49:22 +0200

viewpdf (0.8.5-4) unstable; urgency=low

  * Added LD_LIBRARY_PATH as suggested by Sebastian Muszynski. (Closes: #239721)
  * Some build-depends were renamed (imagekits-pdf).

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon,  5 Apr 2004 23:58:06 +0200

viewpdf (0.8.5-3) unstable; urgency=low


