=== debian/control ===
Source: viewpdf.app
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders:
 Yavor Doganov <yavor@gnu.org>,
 Alex Myczko <tar@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dpkg-build-api (= 1),
 gnustep-make (>= 2.9.2-2),
 libgnustep-gui-dev,
 libpopplerkit-dev,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/gnustep-team/viewpdf.app.git
Vcs-Browser: https://salsa.debian.org/gnustep-team/viewpdf.app

Package: viewpdf.app
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 pdf-viewer,
Description: Portable Document Format (PDF) viewer for GNUstep
 ViewPDF is an application to view and navigate in PDF documents.
 .
 Key Features
  * Zoom
  * Keyboard shortcuts for fast navigation
