=== debian/watch ===
version=4
# There are no releases of ViewPDF/Vindaloo to track.
opts=dversionmangle=s/.*/+dfsg1-0.No-Site/ \
  https://people.debian.org/~eriberto/ FakeWatchNoUpstreamSiteForThisPackage-(\d\S+)\.gz
